<?php
namespace App\Model\Table;

use Cake\ORM\Table;
use Cake\Validation\Validator;

class UsersTable extends Table
{
    public function validationDefault(Validator $validator)
    {
        $validator
            ->notEmpty('nom','Le champ nom est obligatoire')
            ->requirePresence('nom')
            ->notEmpty('prenom','Le champ prenom est obligatoire')
            ->requirePresence('prenom')
            ->notEmpty('email','Le champ email est obligatoire')
            ->requirePresence('email')
            ->notEmpty('password','Le champ mot de passe est obligatoire')
            ->requirePresence('password');
        return $validator;
    }

}