<?php echo $this->element('search');?>
<div class="row categories">
    <?php foreach($categories as $categorie):?>
      <div class="col-md-3"><?php echo $this->Html->link($categorie->name,array('controller'=>'offres','action'=>'browse',$categorie['id']))?></div>
    <?php endforeach;?>
</div>
<div class="col-md-11 col-md-offset-1 offre">
    <h2 class="text-primary">Les dérniéres offres</h2>
    <?php foreach($offres as $offre):?>
        <div class="row">
            <div class="col-md-12">
                <div class="">
                    <h3 class="text-primary"> <span class="<?php echo $offre->type->color;?>"><?php echo $offre->type->name;?></span> <?php echo $offre['title'];?>(<?php echo $offre['ville'];?>)</h3>
                    <?php if(!empty($offre->created)):?>
                    <small><?php echo $offre->created->format("Y-m-d h:i:s");?></small>
                    <?php endif;?>
                    <p class="lead">
                        <?php echo $this->Text->truncate($offre['desc'],200,array('ellipsis'=>'...','exact'=>false));?>
                        <?php echo $this->Html->link('Voir'.$this->Html->tag('i', '', array('class' => 'fa fa-arrow-right')),array('controller'=>'offres','action'=>'view',$offre['id']),array('escape' => false))?>
                    </p>
                </div>
            </div>
        </div>
        <hr> 
    <?php endforeach;?>
</div>